Разлочка iPhone 4/3Gs с iOS 5.0.1

После выхода официальной iOS 5.0.1 многие владельцы лоченных iPhone столкнулись с проблемой не возможность разлочить свой девайс с  помощью Ultrasn0w.

Вскоре появился метод, позволяющий запускать Ultrasn0w на 5.0.1:

  • если у вас аппарат с iOS 5.0, то необходимо скопировать из нее файл System/Library/Frameworks/CoreTelephony.framework/Support/CommCenterClassic, если уже 5.0.1 то скачать для iPhone 4 (возможно подойдет к iPhone 3Gs) или вытащить данный файл из неустановленной прошивки
  • прошейтесь на 5.0.1 (по стандартной инструкции)
  • замените файл в System/Library/Frameworks/CoreTelephony.framework/Support/CommCenterClassic файлом из 5.0
  • выставте права на него 755
  • установите Ultrasn0w 1.2.4 и перезагрузите  iPhone
На днях появился еще один метод (судя по всему это просто автоматизация предыдущего) с помощью Fix Ultrasn0w.

Ultrasn0w fixer поддерживает прошивки модема: 04.26.08, 05.11.07, 05.12.01, 05.13.04, 06.15.00 и 01.59.00.
Ultrasn0w fixer не поддерживает прошивки модема: 02.10.04, 03.10.01, 04.10.01, 05.14.02, 05.15.04, 05.16.02 и 04.11.08

  • прошейтесь на 5.0.1
  • добавьте в Cydia  http://cydia.iloveidevice.tk или http://cydia.myrepospace.com/smolk/ (Manage — Sources — Edit — Add)
  • в поиске (Search) найдите Fix Ultrasn0w и выберите для вашего зверька (i4 или 3GS)
  • установите и перезагрузитесь
  • наслаждайтесь разлоченным iPhone
Лично мое мнение: если у вас залоченный iPhone с iOS 5.0, то оставайтесь на ней, данные методы разлочки подменяют, судя по всему, библиотеку для работы с коммуникациями, к каким последствиям это приведет — не известно. Но если уже 5.0.1, отсутствие сети, а хочется все же полноценный девайс, то выбора особо и нет.